apex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sasha Parfenov (JIRA)" <j...@apache.org>
Subject [jira] [Created] (APEXCORE-309) Site unable to update releases due to fetch-versions errors
Date Wed, 20 Jan 2016 00:04:39 GMT
Sasha Parfenov created APEXCORE-309:
---------------------------------------

             Summary: Site unable to update releases due to fetch-versions errors
                 Key: APEXCORE-309
                 URL: https://issues.apache.org/jira/browse/APEXCORE-309
             Project: Apache Apex Core
          Issue Type: Bug
            Reporter: Sasha Parfenov
            Assignee: Sasha Parfenov


When running following release update command for incubator-apex-site repository

{code}
gulp fetch-versions
{code}

following errors can be seen:

{code}
[13:13:26] Using gulpfile ~/workspace/incubator-apex-site/gulpfile.js
[13:13:26] Starting 'fetch-versions'...
/Users/sasha/workspace/incubator-apex-site/gulpfile.js:354
                if (parts[1].replace(/^refs\/tags\/v?/, '') === release.versio
                            ^
TypeError: Cannot read property 'replace' of undefined
    at /Users/sasha/workspace/incubator-apex-site/gulpfile.js:354:29
    at ChildProcess.exithandler (child_process.js:742:7)
    at ChildProcess.emit (events.js:110:17)
    at maybeClose (child_process.js:1015:16)
    at Socket.<anonymous> (child_process.js:1183:11)
    at Socket.emit (events.js:107:17)
    at Pipe.close (net.js:485:12)

{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message